-- Class: Fire effect
-- SDK: Corona - 09/12/11
-- Author: Andrew Burch
-- Date: 15/04/2012
-- Site: http://www.newhighscore.net
-- Contact: andrew.burch@newhighscore.net
-- Notes: Animated fire demo effect

local config = require('config.fireconfig')
local fire = require('fire')

-- hide the status bar
display.setStatusBar(display.HiddenStatusBar)

-- set up a new fire effect
local fireEffect = fire.new()
fireEffect:initialise {
			left = config.left,
			top = config.top,
			cellWidth = config.cellWidth,
			cellHeight = config.cellHeight,
			cellsPerRow = config.cellsPerRow,
			cellRowCount = config.cellRowCount,
			colourChart = config.colourChart,
			clearColour = config.clearColour,
			paletteSize = config.paletteSize,
			newColourMin = config.newMin,
			newColourMax = config.newMax,
			sideBuffer = config.sideBuffer,
		}


local lastUpdateTime = 0
local filter = config.filter
local fadeAccelerate = config.fadeAccelerate

-- register main update listener
Runtime:addEventListener("enterFrame", function(event) 
											local time = event.time
											local dt = (time - lastUpdateTime) / 1000
											
											fireEffect:update(dt, time, {
																filter = filter,
																fadeAccelerate = fadeAccelerate,
															})
											
											lastUpdateTime = time											
										end)